@echo off

if [%1] == [] goto usage
if [%2] == [] goto usage
if [%3] == [] goto usage
goto compile

:compile
echo Compiling test...
%1\bin\javac.exe -cp hguiapi.jar;%2 TestCanvas.java
if not "%errorlevel%" == "0" goto exit
goto run

:run
echo Running test...
@echo on
%1\bin\java.exe -d32 -Djava.library.path=%3 -cp hguiapi.jar;%2;.\ TestCanvas chest_clinic.net
@echo off
if not "%errorlevel%" == "0" goto exit
@echo off
goto exit

:usage
echo Usage: %0 [path-to-32bit-jdk] [path-to-HAPI.jar] [path-to-HAPI.dll-directory]
echo .
echo Example:
echo %0 "C:\Program Files (x86)\Java\jdk1.7.0_60" \
echo   "C:\Program Files (x86)\Hugin Expert\Hugin Lite 8.0\HDE8.0J\Lib\hapi80.jar" \
echo   "C:\Program Files (x86)\Hugin Expert\Hugin Lite 8.0\HDE8.0J\Bin"
goto exit

:exit
